<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: AfroBldc.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_afro_bldc_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AfroBldc.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_afro_bldc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef AFROBLDC_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define AFROBLDC_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_bldc_8h.html">Bldc.h</a>&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>I2cPort;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>BatteryMonitor;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>AfroBldc_impl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespaceflair_1_1actuator.html">   30</a></span>&#160;<span class="keyword">namespace </span>actuator {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1actuator_1_1_afro_bldc.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1actuator_1_1_afro_bldc.html">AfroBldc</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html">Bldc</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keyword">friend</span> class ::AfroBldc_impl;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_afro_bldc.html#a8fbd70c028194020295615b66c35e88f">AfroBldc</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *layout, std::string name,</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;           uint8_t motors_count, <a class="code" href="classflair_1_1core_1_1_i2c_port.html">core::I2cPort</a> *i2cport);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_afro_bldc.html#a9d1d961a3e47100dc9ded1fa0d5235d6">~AfroBldc</a>();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classflair_1_1actuator_1_1_afro_bldc.html#ae22a92ad5fa166179218934808a286c7">   68</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1actuator_1_1_afro_bldc.html#ae22a92ad5fa166179218934808a286c7">HasSpeedMeasurement</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; };</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classflair_1_1actuator_1_1_afro_bldc.html#a7aa850b8506c65ec465e0b5872cc6dfd">   77</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1actuator_1_1_afro_bldc.html#a7aa850b8506c65ec465e0b5872cc6dfd">HasCurrentMeasurement</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; };</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> SetMotors(<span class="keywordtype">float</span> *values);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keyword">class </span>AfroBldc_impl *pimpl_;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;};</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;} <span class="comment">// end namespace actuator</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#endif // AFROBLDC_H</span></div>
<div class="ttc" id="classflair_1_1actuator_1_1_afro_bldc_html_ae22a92ad5fa166179218934808a286c7"><div class="ttname"><a href="classflair_1_1actuator_1_1_afro_bldc.html#ae22a92ad5fa166179218934808a286c7">flair::actuator::AfroBldc::HasSpeedMeasurement</a></div><div class="ttdeci">bool HasSpeedMeasurement(void) const </div><div class="ttdoc">Has speed measurement. </div><div class="ttdef"><b>Definition:</b> AfroBldc.h:68</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_afro_bldc_html_a8fbd70c028194020295615b66c35e88f"><div class="ttname"><a href="classflair_1_1actuator_1_1_afro_bldc.html#a8fbd70c028194020295615b66c35e88f">flair::actuator::AfroBldc::AfroBldc</a></div><div class="ttdeci">AfroBldc(const core::IODevice *parent, gui::Layout *layout, std::string name, uint8_t motors_count, core::I2cPort *i2cport)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_afro_bldc_html"><div class="ttname"><a href="classflair_1_1actuator_1_1_afro_bldc.html">flair::actuator::AfroBldc</a></div><div class="ttdoc">Class for Mikrokopter&#39;s blctrlv2. </div><div class="ttdef"><b>Definition:</b> AfroBldc.h:37</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_afro_bldc_html_a9d1d961a3e47100dc9ded1fa0d5235d6"><div class="ttname"><a href="classflair_1_1actuator_1_1_afro_bldc.html#a9d1d961a3e47100dc9ded1fa0d5235d6">flair::actuator::AfroBldc::~AfroBldc</a></div><div class="ttdeci">~AfroBldc()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i2c_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_i2c_port.html">flair::core::I2cPort</a></div><div class="ttdoc">Base class for i2c port. </div><div class="ttdef"><b>Definition:</b> I2cPort.h:31</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_afro_bldc_html_a7aa850b8506c65ec465e0b5872cc6dfd"><div class="ttname"><a href="classflair_1_1actuator_1_1_afro_bldc.html#a7aa850b8506c65ec465e0b5872cc6dfd">flair::actuator::AfroBldc::HasCurrentMeasurement</a></div><div class="ttdeci">bool HasCurrentMeasurement(void) const </div><div class="ttdoc">Has current measurement. </div><div class="ttdef"><b>Definition:</b> AfroBldc.h:77</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:37</div></div>
<div class="ttc" id="_bldc_8h_html"><div class="ttname"><a href="_bldc_8h.html">Bldc.h</a></div><div class="ttdoc">Base class for brushless motors drivers. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_afro_bldc_8h.html">AfroBldc.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
